using System;
using System.Data;
using System.Web;
using System.Collections.Generic;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.ComponentModel;
using TopWinCMS.BLL;
using TopWinCMS.Common;
/// <summary>
/// WS_FindHistTory 的摘要说明
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class WS_FindHistTory2 : System.Web.Services.WebService
{



    [WebMethod]
    public string[] GetSoftAuthorList(string prefixText, int count)
    {
        List<string> items = new List<string>(count);

        DataSet myDataSet = new ContentPropertyManage().GetInfoList(count.ToString(), 3, prefixText);
        foreach (DataRow dr in myDataSet.Tables[0].Rows)
        {
            items.Add(dr[0].ToString());
        }
        return items.ToArray();
    }
    [WebMethod]
    public string[] GetEmailList(string prefixText, int count)
    {
        List<string> items = new List<string>(count);

        DataSet myDataSet = new ContentPropertyManage().GetInfoList(count.ToString(), 4, prefixText);
        foreach (DataRow dr in myDataSet.Tables[0].Rows)
        {
            items.Add(dr[0].ToString());
        }
        return items.ToArray();
    }
    [WebMethod]
    public string[] GetDecompressPasswordList(string prefixText, int count)
    {
        List<string> items = new List<string>(count);

        DataSet myDataSet = new ContentPropertyManage().GetInfoList(count.ToString(), 5, prefixText);
        foreach (DataRow dr in myDataSet.Tables[0].Rows)
        {
            items.Add(dr[0].ToString());
        }
        return items.ToArray();
    }

}